<CsoundSynthesizer>
<CsOptions>
-g -d -o dac -b 4096
;-o out.wav
</CsOptions>

<CsInstruments>

nchnls = 2

gilow init 0
gihigh init 0
gimfp init 0
gainput init 0
giorder init 1	;change to 0 to reduce processing 

instr 1

#include "instrument1.inc"

endin

instr 100

;global channel instruments, same for each instrument...
khx chnget "xhead"
khy chnget "yhead"
krot chnget "rot"
kamp chnget "lateamp"
gkhxp port khx, .15, p4
gkhyp port khy, .15, p5
gkrotp port krot, .15
;slightly lower port ok for amp...decided to make amp user controlled
;best solution, after considering order/room based
gkampp port kamp, .05, 0.3

endin

instr 101

Schnlx sprintf "xsrc%d", p4
Schnly sprintf "ysrc%d", p4
Schnin sprintf "in%d", p4

ksx chnget Schnlx
ksy chnget Schnly

ksxp port ksx, .15, p5
ksyp port ksy, .15, p6

ain	chnget Schnin
;add all for late o/p
gainput = ain + gainput

aearlyl, aearlyr, gilow, gihigh, gimfp hrtfearly ain, ksxp, ksyp, p9/2, gkhxp, gkhyp, p9/2, "hrtf-44100-left.dat", "hrtf-44100-right.dat", 0, 8, 44100, giorder, 0, gkrotp, p7, p8, p9, p10, p11, p12, p13, p14, p15, p16, p17, p18, p19, p20, p21, p22, p23, p24	
    outs	aearlyl, aearlyr
	
endin

instr 102

al, ar, idel hrtfreverb gainput, gilow, gihigh, "hrtf-44100-left.dat", "hrtf-44100-right.dat", 44100, gimfp, giorder
alatel delay al * gkampp, idel
alater delay ar * gkampp, idel
	outs alatel, alater

;zero global in
gainput = 0

endin

</CsInstruments>
<CsScore>

f0 600

</CsScore>

</CsoundSynthesizer>
